- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_randr_get_screen_resources_reply_t Struct Reference
[XCB RandR API]

xcb_randr_get_screen_resources_reply_t More...

`#include <randr.h>`

## Data Fields
uint8_t | response_type
uint8_t | pad0
uint16_t | sequence
uint32_t | length
xcb_timestamp_t | timestamp
xcb_timestamp_t | config_timestamp
uint16_t | num_crtcs
uint16_t | num_outputs
uint16_t | num_modes
uint16_t | names_len
uint8_t | pad1 [8]

## Detailed Description

xcb_randr_get_screen_resources_reply_t

## Field Documentation

uint8_t xcb_randr_get_screen_resources_reply_t::response_type

uint8_t xcb_randr_get_screen_resources_reply_t::pad0

uint16_t xcb_randr_get_screen_resources_reply_t::sequence

uint32_t xcb_randr_get_screen_resources_reply_t::length

xcb_timestamp_t xcb_randr_get_screen_resources_reply_t::timestamp

xcb_timestamp_t xcb_randr_get_screen_resources_reply_t::config_timestamp

uint16_t xcb_randr_get_screen_resources_reply_t::num_crtcs

uint16_t xcb_randr_get_screen_resources_reply_t::num_outputs

uint16_t xcb_randr_get_screen_resources_reply_t::num_modes

uint16_t xcb_randr_get_screen_resources_reply_t::names_len

uint8_t xcb_randr_get_screen_resources_reply_t::pad1[8]

The documentation for this struct was generated from the following file:

- randr.h